package org.postgresforest.tool.util;
 
public class Misc {
	
	/**
	 * オブジェクトの配列内に指定したオブジェクトがあるか判定
	 * @param value
	 * @param values
	 * @return
	 */
	public static boolean contains(Object value, Object[] values){

		for (int i = 0; i < values.length; i++) {
			if(value.equals(values[i])){
				return true;
			}
		}
		return false;
	}
 
	/**
	 * Stringの配列内に指定したString文字列があるか判定
	 * 
	 * @param value
	 * @param values
	 * @return
	 */
	public static boolean contains(String value, String[] values){
		return contains(value, values);
	}

	/**
	 * Stringの配列内に指定したString文字列があるか判定（大文字小文字無視）
	 * 
	 * @param value
	 * @param values
	 * @return
	 */
	public static boolean containsIgnoreCase(String value, String[] values){
		
		for (int i = 0; i < values.length; i++) {
			if(value.equalsIgnoreCase(values[i])){
				return true;
			}
		}
		
		return false;
	}
	
	/**
	 * intの配列内に指定したint値があるか判定
	 * 
	 * @param value
	 * @param values
	 * @return
	 */
	public static boolean contains(int value, int[] values){

		for (int i = 0; i < values.length; i++) {
			if(value == values[i]){
				return true;
			}
		}
		
		return false;
	}
	
}
